Slf4jLogger (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.common.logging, class: Slf4jLogger

Package org.apache.cxf.common.logging

# Class Slf4jLogger

java.lang.Object
java.util.logging.Logger
org.apache.cxf.common.logging.AbstractDelegatingLogger
org.apache.cxf.common.logging.Slf4jLogger

public class Slf4jLogger extends AbstractDelegatingLogger

java.util.logging.Logger implementation delegating to SLF4J.

Methods `Logger.setParent(Logger)`, `Logger.getParent()`, `Logger.setUseParentHandlers(boolean)` and `Logger.getUseParentHandlers()` are not overridden.

Level mapping inspired by `SLF4JBridgeHandler`:

     FINEST  -> TRACE
     FINER   -> DEBUG
     FINE    -> DEBUG
     CONFIG  -> DEBUG
     INFO    -> INFO
     WARN ING -> WARN
     SEVER   -> ERROR

- ## Field Summary

  ### Fields inherited from class java.util.logging.Logger

  `global, GLOBAL_LOGGER_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Slf4jLogger(String name, String resourceBundleName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Level`
  `getLevel()`
  `protected void`
  `internalLogFormatted(String msg, LogRecord record)`
  `boolean`
  `isLoggable(Level level)`
  `protected boolean`
  `supportsHandlers()`

  ### Methods inherited from class org.apache.cxf.common.logging.AbstractDelegatingLogger

  `addHandler, config, doLog, doLog, entering, entering, entering, exiting, exiting, fine, finer, finest, formatMessage, getHandlers, getParent, getUseParentHandlers, info, internalLog, log, log, log, log, log, logp, logp, logp, logp, logrb, logrb, logrb, logrb, removeHandler, setLevel, setParent, setUseParentHandlers, severe, throwing, warning`

  ### Methods inherited from class java.util.logging.Logger

  `config, fine, finer, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getGlobal, getLogger, getLogger, getName, getResourceBundle, getResourceBundleName, info, log, log, logp, logp, logrb, logrb, logrb, logrb, setFilter, setResourceBundle, severe, warning`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Slf4jLogger

    public Slf4jLogger(String name, String resourceBundleName)

- ## Method Details

  - ### supportsHandlers

    protected boolean supportsHandlers()
    Overrides:
      `supportsHandlers` in class `AbstractDelegatingLogger`

  - ### getLevel

    public Level getLevel()
    Specified by:
      `getLevel` in class `AbstractDelegatingLogger`

  - ### isLoggable

    public boolean isLoggable(Level level)
    Overrides:
      `isLoggable` in class `AbstractDelegatingLogger`

  - ### internalLogFormatted

    protected void internalLogFormatted(String msg, LogRecord record)
    Specified by:
      `internalLogFormatted` in class `AbstractDelegatingLogger`